Page MenuHomePhabricator

Make WDQS deploy not require chrome tests
Closed, ResolvedPublic

Description

Right now, when we deploy WDQS, it runs GUI tests (which is in general a good thing) but that requires Chrome headless (which is not good, since having Chrome should not be required. Otherwise you get:

INFO] Running "qunit:all" (qunit) task
[INFO] >> There was an error with headless chrome
[INFO] Fatal error: Chromium revision is not downloaded. Run "npm install" or "yarn install"
[ERROR] npm ERR! Test failed.  See above for more details.

We can not just disable GUI module, like we did for build, since GUI still needs to be built and packaged. And running some of the tests is probably good to. But not the ones needing Chrome. So we should find a way to disable qunit only when deploying, or if not possible, disable "npm test" target for deploy-archiva profile.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 30 2019, 11:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@dcausse I wonder if you know an easy way to do this.

Smalyshev triaged this task as Normal priority.Aug 1 2019, 7:53 PM
Smalyshev added a subscriber: Gehel.Aug 5 2019, 5:36 PM

Change 528230 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/gui@master] Disable tests for deploy profile

https://gerrit.wikimedia.org/r/528230

Smalyshev closed this task as Resolved.Mon, Aug 26, 6:36 AM
Smalyshev claimed this task.
Smalyshev removed a project: Patch-For-Review.